org.eclipse.emf.cdo.server

## Interface IStoreAccessor.QueryResourcesContext

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOTimeProvider
  All Known Subinterfaces:
    IStoreAccessor.QueryResourcesContext.ExactMatch
  All Known Implementing Classes:
    DelegatingQueryResourcesContext
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.QueryResourcesContext
      extends CDOBranchPoint

  Represents the query execution state of a `resources query`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  Apiviz

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IStoreAccessor.QueryResourcesContext.ExactMatch` Represents the query execution state of a `resources query` that is supposed to deliver one exact resource, or `null`.

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addResource(CDOID resourceID)` Adds the CDOID of one resource to the results of the underlying query.
    `boolean` | `exactMatch()`
    `CDOID` | `getFolderID()`
    `int` | `getMaxResults()` Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.
    `java.lang.String` | `getName()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

- - ### Method Detail

    - #### getFolderID

          CDOID getFolderID()

    - #### getName

          java.lang.String getName()

    - #### exactMatch

          boolean exactMatch()

    - #### getMaxResults

          int getMaxResults()

      Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.

    - #### addResource

          boolean addResource(CDOID resourceID)

      Adds the CDOID of one resource to the results of the underlying query.
      Returns:
        `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html